import React from 'react';
import ReactDOM from 'react-dom';
import { Smile } from './Smile';
import { Eyes } from './Eyes';
 
const width = 950;
const height = 450;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 6;
const eyeOffsetX = 65;
const eyeOffsetY = 80;
const eyeRadius = 30;
const mouthWidth = 20;
const mouthRadius = 140;
const currentcolor = "Black";


const App = () => (
  <svg width={width} height={height}>
    
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="Red"
        stroke="Black"
        stroke-width={strokeWidth}
      />
      
      
    </g>
    <g transform = "translate(290 -210) rotate(0) scale(1.2)" >
         <Eyes></Eyes>
      </g>
    
    	<g transform = "translate(240 0) rotate(-10) scale(1.4)" >
         <Smile></Smile>
      </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);